Bug 135212 - Squirrelmail package in Fedora Core 3 Test 2 has incorrect version number.
Squirrelmail package in Fedora Core 3 Test 2 has incorrect version number.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: squirrelmail (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gary Benson
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-10-10 12:00 EDT by Scott A. Hughes
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-11 22:15:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Scott A. Hughes 2004-10-10 12:00:17 EDT
Description of problem:

Squirrelmail package in Fedora Core 3 Test 2 has incorrect version number.

It is,

squirrelmail-1.4.3-2.noarch.rpm

whereas it should be something like,

squirrelmail-1.4.3a-2.noarch.rpm

Version-Release number of selected component (if applicable):

squirrelmail-1.4.3-2.noarch.rpm

Additional info:

SquirrelMail 1.4.3 and SquirrelMail 1.4.3a were different releases and
the package has been patched to bring it up to the latter. The version
number of the RPM should reflect this.
Comment 1 Scott A. Hughes 2004-10-10 12:11:00 EDT
The same applies to the SquirrelMail RPM in Red Hat Enterprise Linux
AS/ES 3.94.
Comment 2 Warren Togami 2004-10-11 22:15:23 EDT
Under RPM packaging best practices, %{version} should avoid
non-numeric symbols whenever possible.  I will add "a" to the end of
the %{release} tag for only cosmetic purposes for FC3/RHEL4, as that
is how we attach non-numeric version parts to our package versioning.

Version: 1.4.3
Release: 3.a
Comment 3 Gary Benson 2004-10-12 07:34:45 EDT
Thanks Warren.

Though actually, the reason I omitted the "a" was because 1.4.3a had
not been formally released at the time I built the packages -- the rpm
contains the 1.4.3 tarball and a patch to fix whatever 1.4.3a fixed.

Note You need to log in before you can comment on or make changes to this bug.